<?php


namespace Drupal\antispamban\Form;


use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class AntiSpamBanSettingsForm extends ConfigFormBase {

  /**
   * Gets the configuration names that will be editable.
   *
   *   An array of configuration object names that are editable if called in
   *   conjunction with the trait's config() method.
   */
  protected function getEditableConfigNames() {

  }


  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->configFactory->get('cleanpager.settings');

    $settings = $config->get();
    $form['settings'] = [
      '#tree' => TRUE,
    ];
    $form['settings']['api_key'] = [
      '#type' => 'textfield',
      '#title' => t('API key '),
      '#description' => t('This is the api key from '),
      '#default_value' => isset($settings['cleanpager_pages']) ? $settings['cleanpager_pages'] : '',
    ];
  }

  /**
   * Returns a unique string identifying the form.
   *
   * The returned ID should be a unique string that can be a valid PHP function
   * name, since it's used in hook implementation names such as
   * hook_form_FORM_ID_alter().
   *
   * @return string
   *   The unique string identifying the form.
   */
  public function getFormId() {
    return 'atispamban_config_form';
  }

}
