<?php

namespace Drupal\antispamban\Plugin\QueueWorker;

use DetectLanguage\DetectLanguage;
use Drupal;
use Drupal\antispamban\Entity\AntiSpamBanEntity;
use Drupal\contact\Entity\Message;
use Drupal\Core\Queue\QueueWorkerBase;
use Drupal\Core\Queue\RequeueException;
use Drupal\Driver\Exception\Exception;
use Drupal\field\Entity\FieldConfig;

/**
 * Updates a feed's items.
 *
 * @QueueWorker(
 *   id = "antispamban_worker",
 *   title = @Translation("AntiSpamBan worker"),
 *   cron = {"time" = 10}
 * )
 */
class AntiSpamBanWorker extends QueueWorkerBase {

  /**
   * {@inheritdoc}
   */
  public function processItem($data) {


    //php -R gethostbyname("57.24.56.83.dnsbl.spfbl.net");
    //IP CHECK

    $message_entity = Message::load($data['mid']);
    $anti_entities = AntiSpamBanEntity::loadMultiple(NULL);
    $target_ip = $message_entity->get('ip_address')->value;

    foreach ($anti_entities as $entity){
      $dns_reverse = "57.24.56.83" . "." . $entity->get('label');

      $response = gethostbyname($dns_reverse);


    }


    $module_key = \Drupal::config('antispamban.antispambansettings')
      ->get('api_key');
    try {
      // Verification status -> 0:DRAFT, 1:OK ,2:KO

      DetectLanguage::setApiKey($module_key);
      //DetectLanguage::setSecure(true);
      $languages_in_site = array_keys(
        Drupal::languageManager()
          ->getLanguages()
      );
      $api_status = DetectLanguage::getStatus();

      if ($api_status) {
        $limit = $api_status->daily_requests_limit;
        $message_spam = FALSE;
        $message_entity->set('verification_status', 0);
        if ($api_status->requests < $limit) {
          $fields_definitions = $message_entity->getFieldDefinitions();

          foreach ($fields_definitions as $key => $value) {
            $field_setting = ($value instanceof FieldConfig) ? $value->getThirdPartySetting('antispamban', 'validate_spam_field') : NULL;
            if ($field_setting === 1) {
              $field_value = $message_entity->get($key)->value;

              $language_response = DetectLanguage::detect($field_value);
              $language = !empty($language_response) ? $language_response[0]->language : NULL;
              if ($language && !in_array($language, $languages_in_site)) {
                $message_spam = TRUE;
                break;
              }

            }
          }

          if ($message_spam) {
            $message_entity->set('verification_status', 2);
          }
          else {
            $message_entity->set('verification_status', 1);
          }
        }
        else {
          $message = t('Request limit exceded');
          Drupal::logger('antispamban')->error($message);
          throw new RequeueException();
        }

        $message_entity->save();
      }


    } catch (Exception $e) {

      Drupal::logger('antispamban')->error($e->getMessage());
      throw new RequeueException();
    }


  }

}
